Docs
Assignment APIVAT Rate

Retrieve VAT rates for multiple products

Security groups:Rate Readers
GET
/vat-rates-batch

Returns the taxonomy-based VAT rate for each product if its assignment status qualifies, or the standard rate otherwise. Which assignment status qualify can be configured via the display status configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

shopId*integer

The shop the products belong to.

Formatint64
countries*array<>

The countries for which to retrieve VAT rates (ISO 3166-1 alpha-2 codes). Accepts multiple values as repeated parameters or as a comma-separated list.

Items1 <= items <= 29
productIds*array<>

The product IDs for which to retrieve VAT rates. Accepts multiple values as repeated parameters or as a comma-separated list.

Items1 <= items <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/vat-rates-batch?shopId=100&countries=DE&countries=FR&productIds=product123&productIds=product456&productIds=product789"
{
  "vatRates": [
    {
      "rateType": "STANDARD",
      "vatRate": 19,
      "productId": "product123",
      "source": "TAXONOMY",
      "regionId": "DE"
    },
    {
      "rateType": "REDUCED",
      "vatRate": 7,
      "productId": "product456",
      "source": "TAXONOMY",
      "regionId": "FR"
    },
    {
      "rateType": "ZERO",
      "vatRate": 0,
      "productId": "product789",
      "source": "FALLBACK",
      "regionId": "IT"
    }
  ]
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}